#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	ASN1
Summary:	Convert::ASN1 - ASN.1 encode/decode library
Summary(pl.UTF-8):	Convert::ASN1 - biblioteka kodująca/rozkodowująca ASN.1
Name:		perl-Convert-ASN1
Version:	0.27
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Convert/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	68723e96be0b258a9e20480276e8a62c
URL:		http://search.cpan.org/dist/Convert-ASN1/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.30
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.636
%if %{with tests}
BuildRequires:	perl-Math-BigInt >= 1.997
BuildRequires:	perl-Test-Simple >= 0.90
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	Convert::ASN1::Debug Convert::ASN1::IO Convert::ASN1::_decode Convert::ASN1::_encode

%description
I consider Convert::ASN1 a replacement for my earlier Convert::BER
module. While ASN1.pm is not as flexable as BER.pm, because PDUs must
be described up front, it is also more powerful. For example an LDAP
filter is a recursive structure, BER.pm cannot encode or decode this
in a single pass, ASN1.pm can.

Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%description -l pl.UTF-8
Convert::ASN1 ma być zamiennikiem wcześniejszego Convert::BER tego
samego autora. ASN1.pm nie jest tak elastyczny jak BER.pm, ponieważ
PDU muszą być opisane, jest bardziej użyteczny. Na przykład filtr LDAP
jest strukturą rekurencyjną, BER.pm nie może kodować ani dekodować
takiej w jednym przebiegu, ASN1.pm może.

Convert::ASN1 parsuje opisy ASN.1 i koduje/dekoduje do perlowych
struktur danych używając hierarchii referencji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Convert/ASN1.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Convert/ASN1/.packlist

%{?with_tests:%{__make} test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md
%dir %{perl_vendorlib}/Convert/ASN1
%{perl_vendorlib}/Convert/ASN1/*.pm
%{perl_vendorlib}/Convert/ASN1.pm
%{_mandir}/man3/Convert::ASN1*.3pm*
%changelog
* Thu Apr 13 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Convert-ASN1.git;a=log;h=master

* Sun Apr 05 2015 Adam Osuchowski <adwol@pld-linux.org> cb36937
- up to 0.27

* Wed Jun 26 2013 Jakub Bogusz <qboosh@pld-linux.org> b5c9edc
- updated to 0.26

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> d018320
- updated to 0.22

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 5196877
- rel.2

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> f105385
- up to 0.21, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 118cdad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d292e57
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 1973d40
- added URL

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> 2c91c6e
- up to 0.20 rel1, builds here

* Mon Jan 02 2006 Elan Ruusamäe <glen@pld-linux.org> 1b46c7e
- 0.19
- cleaned check-files

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> bdb22e5
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 802d130
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 8094df1
- fixed perl-devel BR

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 61ec93b
- summary and license fixes

* Sat Oct 11 2003 grzegol <grzegol@pld-linux.org> 6be84e8
- updated to 0.18

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a80f48f
- spaces -> tab

* Tue Aug 19 2003 Jakub Bogusz <qboosh@pld-linux.org> db40df9
- updated _noauto for new wrappers, cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 4ca7cb0
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 misi3k <misi3k@pld-linux.org> 61e7a41
- updated to 0.17

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 29d7086
- massive attack: source-md5

